Loading...
Searching...
No Matches
OBSetData Class Reference

`#include <openbabel/generic.h>`

Inheritance diagram for OBSetData:
[legend]

## Public Member Functions

| OBSetData ()
virtual OBGenericData * | Clone (OBBase *) const
void | AddData (OBGenericData *d)
void | SetData (std::vector< OBGenericData * > &vdata)
OBGenericData * | GetData (const char *s)
OBGenericData * | GetData (const std::string &s)
virtual const std::vector< OBGenericData * > & | GetData () const
std::vector< OBGenericData * >::iterator | GetBegin ()
std::vector< OBGenericData * >::iterator | GetEnd ()
void | DeleteData (OBGenericData *gd)
void | SetAttribute (const std::string &v)
void | SetOrigin (const DataOrigin s)
virtual const std::string & | GetAttribute () const
unsigned int | GetDataType () const
virtual const std::string & | GetValue () const
virtual DataOrigin | GetOrigin () const

## Protected Attributes

std::vector< OBGenericData * > | _vdata
std::string | _attr
unsigned int | _type
DataOrigin | _source

## Detailed Description

Used to store arbitrary attribute/set relationships. Should be used to store a set of OBGenericData based on an attribute.

## Constructor & Destructor Documentation

## OBSetData()

OBSetData | ( |  | ) |

inline

Referenced by Clone().

## Member Function Documentation

## Clone()

virtual OBGenericData * Clone | ( | OBBase * |  | ) | const

inline virtual

Reimplemented from OBGenericData.

## AddData()

void AddData | ( | OBGenericData * | d | ) |

inline

Add an OBGenericData element to the set.

## SetData()

void SetData | ( | std::vector< OBGenericData * > & | vdata | ) |

inline

Set the array of data to a new vector.

Referenced by OBSetData().

## GetData() [1/3]

OBGenericData * GetData | ( | const char * | s | ) |

inline

Returns
  the OBGenericData associate with the attribute name parameter.

## GetData() [2/3]

OBGenericData * GetData | ( | const std::string & | s | ) |

inline

Returns
  the OBGenericData associate with the attribute name parameter.

## GetData() [3/3]

virtual const std::vector< OBGenericData * > & GetData | ( |  | ) | const

inline virtual

Gets the entire set.

## GetBegin()

std::vector< OBGenericData * >::iterator GetBegin | ( |  | ) |

inline

Get the begin iterator.

## GetEnd()

std::vector< OBGenericData * >::iterator GetEnd | ( |  | ) |

inline

Get the end iterator.

## DeleteData()

void DeleteData | ( | OBGenericData * | gd | ) |

inline

Delete the matching OBGenericData element.

## SetAttribute()

void SetAttribute | ( | const std::string & | v | ) |

inline inherited

Set the attribute (key), which can be used to retrieve this data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), AliasData::Expand(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBForceField::GetAtomTypes(), OBMol::GetFormula(), OBMol::GetLSSR(), OBForceField::GetPartialCharges(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## SetOrigin()

void SetOrigin | ( | const DataOrigin | s | ) |

inline inherited

Set the origin of this data, which can be used to filter the data.

Referenced by OBGastChrg::AssignPartialCharges(), OBMol::DoTransformations(), OBMol::FindAngles(), OBMol::FindLSSR(), OBMol::FindSSSR(), OBMol::FindTorsions(), OBMol::GetFormula(), OBMol::GetLSSR(), OBMol::GetSSSR(), OBDescriptor::PredictAndSave(), and OBMol::SetFormula().

## GetAttribute()

virtual const std::string & GetAttribute | ( |  | ) | const

inline virtual inherited

Returns
  The attribute (key), which can be used to retrieve this data

Referenced by OBMoleculeFormat::MakeCombinedMolecule().

## GetDataType()

unsigned int GetDataType | ( |  | ) | const

inline inherited

Returns
  the data type for this object as defined in OBGenericDataType

## GetValue()

virtual const std::string & GetValue | ( |  | ) | const

inline virtual inherited

Base class returns a default value (the attribute type) but should never be called.

Reimplemented in OBCommentData, and OBPairData.

Referenced by OBDepict::DrawMolecule(), OBDescriptor::FilterCompare(), and OBDescriptor::GetValues().

## GetOrigin()

virtual DataOrigin GetOrigin | ( |  | ) | const

inline virtual inherited

## Member Data Documentation

## _vdata

std::vector<OBGenericData *> _vdata

protected

Referenced by AddData(), DeleteData(), GetBegin(), GetData(), GetData(), GetData(), GetEnd(), and SetData().

## _attr

std::string _attr

protected inherited

attribute tag (e.g., "UnitCell", "Comment" or "Author")

Referenced by OBRotamerList::Clone(), GetAttribute(), GetValue(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), OBSymmetryData::OBSymmetryData(), and SetAttribute().

## _type

unsigned int _type

protected inherited

attribute type – declared for each subclass

Referenced by OBRotamerList::Clone(), GetDataType(), OBGenericData(), OBNasaThermoData::OBNasaThermoData(), OBRotamerList::OBRotamerList(), and OBSymmetryData::OBSymmetryData().

## _source

DataOrigin _source

protected inherited

source of data for accounting

Referenced by GetOrigin(), OBGenericData(), OBSymmetryData::OBSymmetryData(), OBAngleData::operator=(), OBConformerData::operator=(), OBSymmetryData::operator=(), OBTorsionData::operator=(), and SetOrigin().

The documentation for this class was generated from the following file:

- generic.h